thanks for this forum I currently have 5.4.5 installed